PROGRAM FILTER_UNPRINTABLE_CHARS(INPUT, OUTPUT);

TYPE

VSTRING = VARYING [800] OF CHAR;

VAR

THE_STRING : VSTRING;
N : INTEGER;
		
BEGIN
WHILE NOT EOF DO
     BEGIN
     READLN(THE_STRING);
     IF THE_STRING.LENGTH > 0
          THEN BEGIN
	       FOR N := 1 TO THE_STRING.LENGTH DO
		    BEGIN
		    IF ORD(THE_STRING[N]) > 127
		         THEN THE_STRING[N] := CHR( ORD(THE_STRING[N]) - 128 );
		    END;
	       END;
     WRITELN(THE_STRING);
     END;
END.
